打印

lnmp安装后提示php安装失败,详请见log,谢谢!

lnmp安装后提示php安装失败,详请见log,谢谢!

你好,能帮忙看看,这是啥情况吗,老是失败更换了php5.5和5.6都不行。在日志中看到Install ZendGuardLoader for PHP 5.5...Notice:  not found!!!download now...--2018-07-03 11:05:09--  https://soft.vpser.net/web/zend/zend-loader-php5.5-linux-x86_64.tar.gzResolving soft.vpser.net (soft.vpser.net)... 104.238.161.196, 2600:3c01::f03c:91ff:fe92:1a06Connecting to soft.vpser.net (soft.vpser.net)|104.238.161.196|:443... connected.HTTP request sent, awaiting response... 416 Requested Range Not Satisfiable    The file is already fully retrieved; nothing to do.Write ZendGuardLoader to php.ini...Creating new php-fpm configure file...Copy php-fpm init.d file...cp: cannot stat ‘/mnt/var/wordpress/lnmp1.5-full/src/php-5.5.38/sapi/fpm/init.d.php-fpm’: No such file or directorychmod: cannot access ‘/etc/init.d/php-fpm’: No such file or directory不知道是否是因为这个导致的
附件: 您所在的用户组无法下载或查看附件

TOP

lnmp安装后提示php安装失败,详请见log,谢谢!

而且php -v查看发现php并没有安装,我之前手动安装了php,使用install.sh后会自动删除php

TOP

阿里云Ubuntu 14.04这个版本的系统模板有问题,换其他版本或论坛搜索:libcurl4-gnutls-dev : Depends: libgnutls-dev but it is not going to be installed 查找解决方法

LNMP付费问题排查/LNMP技术支持/Paypal信用卡代付/代购VPS,域名,软件等 QQ 503228080 旺旺 lzhenbao
军哥淘宝店铺
QQ/旺旺仅提供代购及付费代维/问题解决等服务,其他不回复!LNMP相关问题请在本论坛发帖,提问前先搜索,按https://bbs.vpser.net/thread-2555-1-1.html 要求反馈问题!

TOP

谢谢已经解决了


在ubuntu下由于更新package不成功,或者误删除了一些文件会出现
Depends: xxx(< 1.2.1) but xxx is to be installed
解决方法是先试着安装所缺的package,一般是不会成功的,
这时,可以先卸载掉已有包,
sudo apt-get purge xxx
然后再重新安装

TOP